# -*- coding: utf-8 -*-
from __future__ import annotations

import contextvars

from hotpocket_common.constants import NULL_UUID

REQUEST_ID: contextvars.ContextVar[str] = contextvars.ContextVar(
    'request_id', default=str(NULL_UUID),
)


def get_request_id() -> str:
    return REQUEST_ID.get()
